Defaults (JSAP: the Java Simple Argument Parser)
Keywords: com.martiansoftware.jsap.Defaults class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.jsap
Class Defaults

    java.lang.Object
      com.martiansoftware.jsap.Defaults

    public class Defaults

extends Object

Stores a collection of default values, associated with their respective parameters by the parameters' unique IDs.

Author:
  Marty Lamb

Constructor Summary
`Defaults()` Creates a new, empty Defaults object.

Method Summary
`void` | `addDefault(String paramID, String defaultValue)` Adds a single default value to any that might already be defined for the parameter with the the specified ID.
`void` | `addDefault(String paramID, String[] defaultValue)` Adds an array of default values to any that might already be defined for the parameter with the the specified ID.
`String[]` | `getDefault(String paramID)` Returns an array of the default values defined for the parameter with the specified ID, or null if no default values are defined.
`Iterator` | `idIterator()` Returns an Iterator over the unique IDs of all parameters with defaults defined in this Defaults object.
`void` | `setDefault(String paramID, String defaultValue)` Sets a single default value for the parameter with the specified ID.
`void` | `setDefault(String paramID, String[] defaultValue)` Sets an array of default values for the parameter with the specified ID.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Defaults

    public Defaults()

  Creates a new, empty Defaults object.

Method Detail

### setDefault

    public void setDefault(String paramID,
                           String defaultValue)

  Sets a single default value for the parameter with the specified ID. This replaces any default values currently associated with the specified parameter if any exist.

  Parameters:
    `paramID` - the unique ID of the parameter for which the specified value is the default.
    `defaultValue` - the new default value for the specified parameter.

### setDefault

    public void setDefault(String paramID,
                           String[] defaultValue)

  Sets an array of default values for the parameter with the specified ID. These replace any default values currently associated with the specified parameter if any exist.

  Parameters:
    `paramID` - the unique ID of the parameter for which the specified values are the defaults.
    `defaultValue` - the new default values for the specified parameter.

### addDefault

    public void addDefault(String paramID,
                           String defaultValue)

  Adds a single default value to any that might already be defined for the parameter with the the specified ID.

  Parameters:
    `paramID` - the unique ID of the parameter for which the specified value is an additional default.
    `defaultValue` - the default value to add to the specified parameter.

### addDefault

    public void addDefault(String paramID,
                           String[] defaultValue)

  Adds an array of default values to any that might already be defined for the parameter with the the specified ID.

  Parameters:
    `paramID` - the unique ID of the parameter for which the specified value is an additional default.
    `defaultValue` - the default values to add to the specified parameter.

### getDefault

    public String[] getDefault(String paramID)

  Returns an array of the default values defined for the parameter with the specified ID, or null if no default values are defined.

  Parameters:
    `paramID` - the unique ID of the parameter for which default values are desired.
  Returns:
    an array of the default values defined for the parameter with the specified ID, or null if no default values are defined.

### idIterator

    public Iterator idIterator()

  Returns an Iterator over the unique IDs of all parameters with defaults defined in this Defaults object.

  Returns:
    an Iterator over the unique IDs of all parameters with defaults defined in this Defaults object.
  See Also:
    `Iterator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005, Martian Software, Inc.. All Rights Reserved.
For the latest version and documentation, please visit http://www.martiansoftware.com/jsap